Highlighted

Flash Builder 4.7 - Error occurred while packaging the application on android device (help newbie)

New Here ,
Jul 25, 2015

Copy link to clipboard

Copied

I keep getting this error when I try to package to my android device. I have moved the aapt.exe, adb.exe, adbWinApi.dll, adbWinUsbApi.dll and the dx.jar to the appropriate places and the original error of the device not being recognized is gone and now I am hitting the following error below. I have searched for a solution but nothing pertains to this exact problem. Any help would be appreciated.

Also before anyone asks the android-res.jar is in the folder and has been updated with the latest sdk.

Following is this error:

Error occurred while packaging the application:

aapt tool failed:ERROR: Asset package include 'C:\Program Files (x86)\Adobe\Adobe Flash Builder 4.6\sdks\4.6.0\lib\android\lib\resources\android-res.jar' not found.

TOPICS
Development

Views

1.0K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Flash Builder 4.7 - Error occurred while packaging the application on android device (help newbie)

New Here ,
Jul 25, 2015

Copy link to clipboard

Copied

I keep getting this error when I try to package to my android device. I have moved the aapt.exe, adb.exe, adbWinApi.dll, adbWinUsbApi.dll and the dx.jar to the appropriate places and the original error of the device not being recognized is gone and now I am hitting the following error below. I have searched for a solution but nothing pertains to this exact problem. Any help would be appreciated.

Also before anyone asks the android-res.jar is in the folder and has been updated with the latest sdk.

Following is this error:

Error occurred while packaging the application:

aapt tool failed:ERROR: Asset package include 'C:\Program Files (x86)\Adobe\Adobe Flash Builder 4.6\sdks\4.6.0\lib\android\lib\resources\android-res.jar' not found.

TOPICS
Development

Views

1.0K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Jul 25, 2015 0
Adobe Community Professional ,
Jul 25, 2015

Copy link to clipboard

Copied

If you look for that file, is it there?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 25, 2015 0
New Here ,
Jul 26, 2015

Copy link to clipboard

Copied

Yes, I have checked its there.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 26, 2015 0
Engaged ,
Aug 27, 2015

Copy link to clipboard

Copied

Most likely you've used version 21 or higher of the build tools.

These introduced some stricter rules on how resources are packaged and the AIR SDK is failing at present (which is the error message you are seeing).

Best you can do at the moment is update the SDK with v20 of the build tools.

air native extensions // https://airnativeextensions.com

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 27, 2015 1
New Here ,
Sep 07, 2015

Copy link to clipboard

Copied

Just to keep this thread up to date, I will post what worked for me:

adb.exe, AdbWinApi.dll, AdbWinUsbApi.dll and dx.jar from Android sdk 23.0, and aatp from google sdk 20, working perfectly on windows 10 with flash builder 4.7 64 bit.

If you are using flash builder as a plugin in Eclipse Version: Luna Service Release 2 (4.4.2), this will not work due to scope issues.  It is an open eclipse bug afaik.

I will continue to test with ways to make it work as an eclipse plugin, since the flash builder native eclipse platform is very out of date, and many people these days prefer to use eclipse.  If I find a way, you will see a new post from me.  if not... well bad news ...

Anyway, this thread was exactly what I needed, so I hope that me providing this latest update will assist someone else.

Thanks to everyone on the thread!

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Sep 07, 2015 1
New Here ,
Mar 31, 2016

Copy link to clipboard

Copied

Thank you very much, you helped me!

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 31, 2016 0